Bug 779727 - (SOA-2089) JBESB-3308: ReplyTo EPR must be manually reset after Aggregator action is used
JBESB-3308: ReplyTo EPR must be manually reset after Aggregator action is used
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 GA
Unspecified Unspecified
high Severity high
: ---
: 5.1.0.ER2
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-20 07:39 EDT by Stelios Koussouris
Modified: 2011-03-01 01:34 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-01 01:34:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2089 Major Closed JBESB-3308: ReplyTo EPR must be manually reset after Aggregator action is used 2013-02-14 04:54:35 EST

  None (edit)
Description Stelios Koussouris 2010-05-20 07:39:11 EDT
Help Desk Ticket Reference: https://enterprise.redhat.com/issue-tracker/?module=issues&action=view&tid=864653&gid=1354
project_key: SOA

Include fix for JBESB-3308

The ESB depends on the message's replyTo to know where to send a reply in a RequestResponse service. However, the Aggregator action makes no attempt to preserve the replyTo when it creates an aggregate message for a series. In most cases, I would think the replyTo on the aggregated messages would be the same, so adding it onto the resulting aggregated message would seem like a good idea. Otherwise, it has to be handled manually in the assembler action.
Comment 1 Stelios Koussouris 2010-05-20 07:39:34 EDT
Link: Added: This issue incorporates JBESB-3308
Comment 2 Kevin Conner 2010-09-21 10:45:21 EDT
This has already been addressed, should be present in ER1
Comment 3 David Le Sage 2011-03-01 01:08:17 EST
Temporarily reopening to update release note info.
Comment 4 David Le Sage 2011-03-01 01:34:49 EST
Release Notes Docs Status: Added: Documented as Resolved Issue
Writer: Added: dlesage
Release Notes Text: Added: https://issues.jboss.org/browse/JBESB-3308

The ESB depends on the message's replyTo to know where it has to send a RequestResponse service reply. However, the Aggregator action made no attempt to preserve the replyTo when it created an aggregate message for a series. To resolve this issue, it now only maps an end-point reference onto the aggregated message if all of the messages attached to the aggregated message have the same EPR.

In most cases, I would think the replyTo on the aggregated messages would be the same, so adding it onto the resulting aggregated message would seem like a good idea. Otherwise, it has to be handled manually in the assembler action.

Note You need to log in before you can comment on or make changes to this bug.